# IClipTrack Struct Reference

Inheritance diagram for IClipTrack:

List of all members.

## Public Member Functions
virtual INLATrack *MCCOMAPI | GetNLATrack ()=0
virtual int32 MCCOMAPI | GetClipInstanceCount () const =0
virtual IClipInstance *MCCOMAPI | GetClipInstance (int32 index) const =0
virtual IClipInstance *MCCOMAPI | FindClipInstance (uint32 uniqueId) const =0
virtual void MCCOMAPI | AddClipInstance (IClipInstance *clip)=0
virtual void MCCOMAPI | SortClipInstances ()=0
virtual void MCCOMAPI | GetClipValidRange (IClipInstance *clip, MicroTick &startMin, MicroTick &startMax, MicroTick &endMin, MicroTick &endMax)=0
virtual void MCCOMAPI | GetClipValidHoldRange (IClipInstance *clip, MicroTick &startMin, MicroTick &startMax, MicroTick &endMin, MicroTick &endMax)=0
virtual void MCCOMAPI | ValidateMovedClipInstances (const TMCPtrArray< IClipInstance > &clips)=0
virtual boolean MCCOMAPI | IsActive ()=0
virtual void MCCOMAPI | SetActive (boolean active)=0
virtual void MCCOMAPI | SetBlendMode (boolean blend)=0
virtual void MCCOMAPI | PostCreateEditableClipAction (MicroTick time)=0

## Member Function Documentation

virtual void MCCOMAPI IClipTrack::AddClipInstance | ( | IClipInstance * | clip | ) | `[pure virtual]`

virtual IClipInstance* MCCOMAPI IClipTrack::FindClipInstance | ( | uint32 | uniqueId | ) | const`[pure virtual]`

virtual IClipInstance* MCCOMAPI IClipTrack::GetClipInstance | ( | int32 | index | ) | const`[pure virtual]`

virtual int32 MCCOMAPI IClipTrack::GetClipInstanceCount | ( |  | ) | const`[pure virtual]`

virtual void MCCOMAPI IClipTrack::GetClipValidHoldRange | ( | IClipInstance * | clip,
|  | MicroTick & | startMin,
|  | MicroTick & | startMax,
|  | MicroTick & | endMin,
|  | MicroTick & | endMax |
| ) |  |  | `[pure virtual]`

virtual void MCCOMAPI IClipTrack::GetClipValidRange | ( | IClipInstance * | clip,
|  | MicroTick & | startMin,
|  | MicroTick & | startMax,
|  | MicroTick & | endMin,
|  | MicroTick & | endMax |
| ) |  |  | `[pure virtual]`

virtual INLATrack* MCCOMAPI IClipTrack::GetNLATrack | ( |  | ) | `[pure virtual]`

virtual boolean MCCOMAPI IClipTrack::IsActive | ( |  | ) | `[pure virtual]`

virtual void MCCOMAPI IClipTrack::PostCreateEditableClipAction | ( | MicroTick | time | ) | `[pure virtual]`

virtual void MCCOMAPI IClipTrack::SetActive | ( | boolean | active | ) | `[pure virtual]`

virtual void MCCOMAPI IClipTrack::SetBlendMode | ( | boolean | blend | ) | `[pure virtual]`

virtual void MCCOMAPI IClipTrack::SortClipInstances | ( |  | ) | `[pure virtual]`

virtual void MCCOMAPI IClipTrack::ValidateMovedClipInstances | ( | const TMCPtrArray< IClipInstance > & | clips | ) | `[pure virtual]`

The documentation for this struct was generated from the following file:

- NLAInterfaces.h